Subject: Re: bug#30655: closed (Re: bug#30655: xset(1) not accepting symlink to font path)

From: Marco van Hulten <[email-masked]>
Date: Sat, 03 Mar 2018 16:26:14 +0100

Ludo'—

Je  2 mrt 12:46 skribis GNU:
> > diff --git a/doc/guix.texi b/doc/guix.texi
> > index 24db16761..35221ff94 100644
> > --- a/doc/guix.texi
> > +++ b/doc/guix.texi
> > @@ -1572,7 +1572,7 @@ To be able to use such full names for the
> > TrueType fonts installed in your Guix profile, you need to extend the
> > font path of the X server: 
> >  @example
> > -xset +fp ~/.guix-profile/share/fonts/truetype
> > +xset +fp $(dirname $(readlink -f ~/.guix-profile/share/fonts/truetype/fonts.dir))
> >  @end example  
> 
> Actually commit 07ec349229 that I just pushed fixes this very line.  So
> I guess we’re done?

I don't think so, because I just did a 'git pull', and found that the
old patch had been applied (the one with `readlink... that doesn't
work, instead of the above with $(dirname $(readlink...) which works.

Apropos, how often are the HTML pages generated from the repository and
put online?

—Marco